EDIT - task #6512

document eu.etaxonomy.cdm.model.common.lidentifiableEntity.generateTitle()
03/15/2017 01:06 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version:

Severity: normal

Description

The method IdentifiableEntity.generateTitle() is completely undocumented. For References | only get a citation string using
generateTitle() not with getTitleCache(), what's the difference and why do | need to call getTitleCache() some some cdm types while
I need to use generateTitle() for others?

Associated revisions

Revision 9ff954bd - 03/22/2017 08:15 PM - unknown
fix #6512 documentation added to generateTitle and getTitleCache

History

#1 - 03/22/2017 08:15 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|9ff954bd55f6217c9f235c6c632a9175cdead263.

#2 - 03/22/2017 08:25 PM - Andreas Miiller
- Tracker changed from bug to task

- Assignee changed from Andreas Miller to Andreas Kohlbecker

Documentation added.

For References | only get a citation string using generateTitle() not with getTitleCache()

| can't see this. Generally getTitleCache returns the titteCache. This is either the protected titleCache or the precomputed titleCache or the titteCache
computed with generateTitle. But it is up to the implementing classes if they require a recompute each time or only if data has obviously changed (e.g.
setXXX or addXXX was called on the entity). If external objects have changed (e.g. the title of the author) the titleCache may not be refreshed.

Can you give an example why you think behavior is different? And in which context you use it. Or just close the ticket if the given documentation is
sufficient.

#3 - 05/11/2017 08:07 AM - Andreas Kohlbecker

the given documentation is sufficient - ticket closed

#4 - 02/22/2022 03:22 PM - Andreas Miiller

- Status changed from Resolved to Worksforme

- Target version deleted (Unassigned CDM tickets)
- % Done changed from 50 to 100
